@import "variables";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

$body-background-color: #fff;
$card-background-color: rgba(0, 0, 0, 0.05);
$text-color: #212529;
$card-label-color: #504d4d;
$card-value-color: #483b3c;

$base-color: #E8EAF6;  //select starting base color from Material Design color palettes

$side-bar-primary:darken( $base-color, 32% );
$side-bar-primary-active: darken( $base-color, 45% );
$side-bar-secondary: darken( $base-color, 34% );
$side-bar-secondary-active: darken( $base-color, 40% );
$side-bar-text-color: #fff;
$header-background-color : #f5f5f5;
$border-color: #ced4da;

/*$side-bar-primary: #7386d5;
$side-bar-primary-active: #4557a7;
$side-bar-secondary: #6d7fcc;
$side-bar-secondary-active: #5167c5;*/

$my-light-theme-primary: mat-palette($mat-indigo);
$my-light-theme-accent:  mat-palette($mat-pink, A200, A100, A400);

// The warn palette is optional (defaults to red).
$my-light-theme-warn: mat-palette($mat-red, 700);

// Create the theme object (a Sass map containing all of the palettes).
$my-light-theme: mat-light-theme($my-light-theme-primary, $my-light-theme-accent, $my-light-theme-warn);
